// JavaScript Document
//サムネクリックで画像切り替え
$(function(){
	/*********************************************************
	各値の取得
	*********************************************************/
	var		imgLen =	($('.display_image img').length);//繰り返しする回数をimg要素の数にするため、その数値を変数に入れる;
	var	
		imgSrc	=	[];
		for(i = 0; i < imgLen; i++){
					imgSrc[i] = ($('.display_image li:nth-of-type('+(i+1)+') img').attr('src'));//各img要素のsrc属性のパスを配列に入れる
		}		
		imgWidth	=	[];
		for(i = 0; i < imgLen; i++){
					imgWidth[i] = ($('.display_image li:nth-of-type('+(i+1)+') img').attr('width'));//各img要素のwidht属性の値を配列に入れる
		}
		imgHeight	=	[];
		for(i = 0; i < imgLen; i++){
					imgHeight[i] = ($('.display_image li:nth-of-type('+(i+1)+') img').attr('height'));//各img要素のheight属性の値を配列に入れる
		}
	var max_imgWidth	= Math.max.apply(null,imgWidth);//img要素のwidth値が入っている配列から最大値のものを変数に入れる
	var max_imgHeight	= Math.max.apply(null,imgHeight);//img要素のheight値が入っている配列から最大値のものを変数に入れる
	var thumbWidth		= max_imgWidth/10;
	//↑サムネール用の横幅数値。一番大きい画像サイズの1/10
	var thumbHeight		= max_imgHeight/10;
	//↑サムネール用の高さ数値。一番大きい画像サイズの1/10
	/*********************************************************
	.display_imageのスタイル
	*********************************************************/
	$('.display_image ul').addClass('main_image').css({
		width : max_imgWidth+'px',
		height : max_imgHeight+'px',
	});
	$('.display_image li:first-child').addClass('carrent');
	$('.display_image li:not(.carrent)').css({
		opacity : '0',
		zIndex : '-10'
	});
	/*********************************************************
	サムネ用要素追加
	*********************************************************/
	$('.display_image ul').after('<ul class="thumb"></ul>');
	for(i = 0;i < imgLen;i++){
		$('.display_image .thumb').append('<li><img src="'+imgSrc[i]+'" width="'+thumbWidth+'" height="'+thumbHeight+'" alt="サムネ画像'+(i+1)+'"></li>')
	}
	/*********************************************************
	サムネ用スタイル
	*********************************************************/
	$('.display_image .thumb').css({
		width : (thumbWidth+10)*imgLen+'px',
	});
	$('.display_image .thumb li').css({
		borderRadius : '5px',
	});
	$('.display_image .thumb li:first-child').addClass('carrent');
	/*********************************************************
	クリック時のアクション
	*********************************************************/
	for(i = 0;i < imgLen;i++){
		(function(i){
			$('.display_image .thumb li:nth-of-type('+(i+1)+')').click(function(){
				if($('.display_image ul.main_image li:nth-of-type('+(i+1)+')').css('opacity') == 0){
					$('.display_image ul.main_image li.carrent').css({
						zIndex : '-10'
					}).animate({
						opacity : 0
					},400).removeClass('carrent');
					$('.display_image ul.main_image li:nth-of-type('+(i+1)+')').addClass('carrent').css({
						zIndex : '1'
					}).animate({
						opacity : 1
					},400);	
				}
				$('.display_image .thumb li.carrent').removeClass('carrent');
				$('.display_image .thumb li:nth-of-type('+(i+1)+')').addClass('carrent');
			});
		})(i);
	}
});



